Bug 17834 - Change library news text for single-branch libraries
Summary: Change library news text for single-branch libraries
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Kyle M Hall
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2017-01-03 10:47 UTC by Katrin Fischer
Modified: 2017-10-14 11:59 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17834: Change library news text for single-branch libraries (1.78 KB, patch)
2017-04-20 03:14 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 17834: Change library news text for single-branch libraries (1.83 KB, patch)
2017-06-23 02:51 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 17834: Change library news text for single-branch libraries (1.87 KB, patch)
2017-06-23 02:52 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 17834: Change library news text for single-branch libraries (1.91 KB, patch)
2017-06-23 03:11 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 17834: Change library news text for single-branch libraries (1.97 KB, patch)
2017-09-01 14:00 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 17834: Make translation easier (1.81 KB, patch)
2017-09-06 16:15 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2017-01-03 10:47:44 UTC
If a library has only 1 branch the 'system-wide' in the text for the news RSS feed can be a bit confusing.

Current text:
RSS feed for system-wide library news. 

It would be nice to catch the case of single-branch and show a different text then.
Comment 1 Aleisha Amohia 2017-04-20 03:14:51 UTC
Created attachment 62433 [details] [review]
Bug 17834: Change library news text for single-branch libraries

To test:
1) Log into OPAC, go to home page
2) Confirm that the text shows as 'RSS feed for (branchname) library
news' if single-branch library
3) Confirm text shows as normal for libraries with more than one branch

Sponsored-by: Catalyst IT
Comment 2 sandboxes@biblibre.com 2017-06-23 02:51:10 UTC
Patch tested with a sandbox, by maricris <mlabancia@gmail.com>
Comment 3 sandboxes@biblibre.com 2017-06-23 02:51:33 UTC
Created attachment 64563 [details] [review]
Bug 17834: Change library news text for single-branch libraries

To test:
1) Log into OPAC, go to home page
2) Confirm that the text shows as 'RSS feed for (branchname) library
news' if single-branch library
3) Confirm text shows as normal for libraries with more than one branch

Sponsored-by: Catalyst IT

Signed-off-by: maricris <mlabancia@gmail.com>
Comment 4 sandboxes@biblibre.com 2017-06-23 02:52:11 UTC
Patch tested with a sandbox, by anafe <anafeazuela@yahoo.com>
Comment 5 sandboxes@biblibre.com 2017-06-23 02:52:33 UTC
Created attachment 64564 [details] [review]
Bug 17834: Change library news text for single-branch libraries

To test:
1) Log into OPAC, go to home page
2) Confirm that the text shows as 'RSS feed for (branchname) library
news' if single-branch library
3) Confirm text shows as normal for libraries with more than one branch

Sponsored-by: Catalyst IT

Signed-off-by: maricris <mlabancia@gmail.com>

Signed-off-by: anafe <anafeazuela@yahoo.com>
Comment 6 sandboxes@biblibre.com 2017-06-23 03:11:11 UTC
Patch tested with a sandbox, by iflora <iflora@unimas.my>
Comment 7 sandboxes@biblibre.com 2017-06-23 03:11:34 UTC
Created attachment 64566 [details] [review]
Bug 17834: Change library news text for single-branch libraries

To test:
1) Log into OPAC, go to home page
2) Confirm that the text shows as 'RSS feed for (branchname) library
news' if single-branch library
3) Confirm text shows as normal for libraries with more than one branch

Sponsored-by: Catalyst IT

Signed-off-by: maricris <mlabancia@gmail.com>

Signed-off-by: anafe <anafeazuela@yahoo.com>

Signed-off-by: iflora <iflora@unimas.my>
Comment 8 Kyle M Hall 2017-09-01 14:00:41 UTC
Created attachment 66745 [details] [review]
Bug 17834: Change library news text for single-branch libraries

To test:
1) Log into OPAC, go to home page
2) Confirm that the text shows as 'RSS feed for (branchname) library
news' if single-branch library
3) Confirm text shows as normal for libraries with more than one branch

Sponsored-by: Catalyst IT

Signed-off-by: maricris <mlabancia@gmail.com>

Signed-off-by: anafe <anafeazuela@yahoo.com>

Signed-off-by: iflora <iflora@unimas.my>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 9 Jonathan Druart 2017-09-06 16:15:54 UTC
Created attachment 66891 [details] [review]
Bug 17834: Make translation easier
Comment 10 Jonathan Druart 2017-09-06 16:32:01 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 11 Fridolin SOMERS 2017-10-10 09:49:28 UTC
Pushed to 17.05.x, will be in 17.05.05.
Comment 12 Katrin Fischer 2017-10-14 11:59:11 UTC
These patches have been pushed to 16.11.x and will be in 16.11.13.